<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('payment') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 320px">
          <a href="#"> {{ i18ntext.lngText('payment') }}</a>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <div class="search-box mb-4">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0;">

              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                    <router-link to="/room_type">
                      <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                        <i class="fa fa-box-open"></i>
                        {{ i18ntext.lngText('room_type') }}
                      </a>
                    </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('stock-alert') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ stockcount }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
                  <router-link to="/ex_alert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('expire-alert1') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ count_expire }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>

            </div>
            <div id="right">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; width:79px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    @click="getsuppliyerview()"
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    ><i class="fa fa-print" aria-hidden="true"></i>{{ i18ntext.lngText('print') }}</a
                  >
                </li>
                <li>
                  <a
                    @click="importSheet()"
                    class="dropdown-item"
                    data-bs-toggle="modal"
                    data-bs-target="#excelCategory"
                    tabindex="10028"
                    href="#"
                    ><i class="fas fa-file-excel"></i>{{ i18ntext.lngText('import') }}</a
                  >
                </li>

                <li>
                  <a
                    @click="exportSheet()"
                    class="dropdown-item"
                    data-bs-toggle="modal"
                    data-bs-target="#excelCategory"
                    tabindex="10028"
                    href="#"
                    ><i class="fas fa-file-excel"></i>{{ i18ntext.lngText('export') }}</a
                  >
                </li>
                <li>
                  <router-link
                    to="product"
                    class="dropdown-item btn btn-primary"
                    tabindex="10028"
                  >
                    <i class="fa fa-print" aria-hidden="true"></i>{{ i18ntext.lngText('product') }}
                  </router-link>
                </li>
              </ul>
            </div>
          </div>
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <div class="search-box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_search"
              id="hover-table"
            >
              <tbody>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('payment') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      style="width: 359px"
                      class="string_zen_kana clear_text text"
                      maxlength="50"
                      name="paymentmethod"
                      v-model="form.paymentmethod"
                      @input="getBrands()"
                      type="text"
                    />
                    <p v-if="errors.paymentmethod" style="font-size: 10px; color: red">
                        {{ i18ntext.lngText('validpayment') }}
                      <!-- {{ errors.paymentmethod[0] }} -->
                    </p>
                  </td>
                </tr>
                <tr>
                  <th width="15%">{{ i18ntext.lngText('description') }}</th>
                  <td width="90%">
                    <input autocomplete="off"
                      style="width: 359px"
                      class="string_zen_kana clear_text text"
                      id="brand_name_2"
                      maxlength="50"
                      name="description"
                      v-model="form.description"
                      type="text"
                      tabindex="10001"
                    />
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="search-box-footer">
              <div
                v-if="btnback == true"
                @click="btnBack()"
                class="button type2"
                id="uniform-undefined"
              >
                <span
                  ><i
                    class="fa fa-arrow-left"
                    aria-hidden="true"
                    style="margin-right: 7px"
                  ></i
                  >{{ i18ntext.lngText('back') }}</span
                >
                <input autocomplete="off"
                  type="button"
                  value="save"
                  class="type2"
                  style="opacity: 0; width: 63px"
                  tabindex="10026"
                />
              </div>
              <div
                v-if="btnSearch == 'Search'"
                class="button type2"
                id="uniform-undefined"
                @click="getBrands()"
              >
                <span
                  ><i
                    class="fa fa-search"
                    aria-hidden="true"
                    style="margin-right: 7px"
                  ></i
                  >{{ i18ntext.lngText('search') }}</span
                >
              </div>
              <div
                v-if="btnSearch == 'Delete'"
                class="button type2"
                id="uniform-undefined"
              >
                <span
                  ><i class="fa fa-trash"></i>{{ i18ntext.lngText('Delete') }}<input autocomplete="off"
                    type="button"
                    @click="dalete()"
                    tabindex="10028"
                    style="opacity: 0; width: 76px"
                /></span>
              </div>
              <div v-if="btncheckEdit === 'Save'" class="button type2" id="uniform-undefined" @click="save()">
                <span
                  ><i class="fas fa-file-import" style="margin-right: 7px"></i
                  >{{ i18ntext.lngText('save') }} </span
                >
                <input autocomplete="off"
                  type="button"
                  value="clear"
                  class="type2"
                  style="opacity: 0; width: 63px"
                  tabindex="10026"
                />
              </div>

              <div v-else class="button type2" id="uniform-undefined" @click="save()">
                <span
                  ><i class="fas fa-file-import" style="margin-right: 7px"></i
                  >{{ i18ntext.lngText('update') }}</span
                >
                <input autocomplete="off"
                  type="button"
                  value="clear"
                  class="type2"
                  style="opacity: 0; width: 63px"
                  tabindex="10026"
                />
              </div>
              <span class="marker"></span>
            </div>
          </div>
        </div>

        <div class="box">
          <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="table table-striped br-table"
          >
            <thead>
              <tr class="header-table">
                <th width="3%">{{ i18ntext.lngText('no') }}</th>
                <th width="15%">{{ i18ntext.lngText('payment') }}</th>
                <th width="20%%">{{ i18ntext.lngText('description') }}</th>
                <!-- <th width="10%">Inactived</th> -->
                <th width="10%"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item, index) in items.data" :key="index">
                <td width="3%">{{ index + 1 }}</td>
                <td width="13%">{{ item.paymentmethod }}</td>
                <td width="13%">{{ item.description }}</td>
                <!-- <td width="6%">{{ item.inactived }}</td> -->
                <td width="10%" class="text-center">
                  <div class="button" id="uniform-undefined">
                    <span
                      ><i class="fa fa-edit"></i>{{ i18ntext.lngText('select') }}<input autocomplete="off"
                        type="button"
                        @click="checkActionForm('Update', 'Update', 'Close', item)"
                        data-bs-toggle="modal"
                        data-bs-target="#staticBackdrop"
                        tabindex="10028"
                        style="opacity: 0; width: 76px"
                    /></span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="box-footer-pagination">
            <pagination :limit="2" :data="items" @pagination-change-page="getBrands" />
          </div>
        </div>
      </div>
    </div>
  </div>

  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i>{{ i18ntext.lngText('print') }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="purchaseorder" style="height: auto !important;">
                <div style="padding: 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('payment') }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">{{ i18ntext.lngText('companyname') }}</p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('name') }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('phonenumber') }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('email') }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('address') }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('totalmethod') }}</p>
                      <p class="text-center p-mg" id="fon">{{ items.total }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center" style="width: 60px">{{ i18ntext.lngText('no') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('paymentbank') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('description') }}</th>
                          <!-- <th class="text-center">Inactived</th> -->
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in printData" :key="index">
                          <td>{{ index + 1 + "." }}</td>
                          <td>{{ item.paymentmethod }}</td>
                          <td>{{ item.description }}</td>
                          <!-- <td>{{ item.inactived }}</td> -->
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i>{{ i18ntext.lngText('print') }}</a
          >
        </div>
      </div>
    </div>
  </div>
  <!-- Excel -->
  <div
    class="modal fade ui-modal"
    id="excelCategory"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">
            <i class="fas fa-file-excel"></i>Excel
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 v-if="excel == 'Import'" class="title-purchase">
                        {{ excel }} {{ exefile }}{{ i18ntext.lngText('import') }}
                      </h3>
                      <h3 v-else class="title-purchase">{{ excel }} {{ i18ntext.lngText('export') }}</h3>
                    </div>
                  </div>
                  <div
                    class="row my-2 mx-1 justify-content-center table-padding-bot customsroll"
                  >
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color: #84b0ca" class="text-white">
                        <tr>
                          <th scope="col">{{ i18ntext.lngText('no') }}</th>
                          <th scope="col">{{ i18ntext.lngText('payment') }}</th>
                          <th scope="col">{{ i18ntext.lngText('description') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(payExcel, index) in payExcels" :key="index">
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ index }}
                          </th>
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ payExcel.paymentmethod }}
                          </th>
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ payExcel.description }}
                          </th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div
            v-if="excel == 'Import'"
            @click="btnSaveExcel()"
            data-bs-dismiss="modal"
            aria-label="Close"
            class="btn-purchase btn-light text-capitalize"
          >
            <input autocomplete="off" type="button" /><i class="fas fa-save"></i>{{ i18ntext.lngText('savedata') }}
          </div>
          <div
            v-if="excel == 'Import'"
            @change="excelPayment($event)"
            class="btn-purchase btn-light text-capitalize"
          >
            <input autocomplete="off" type="file" /><i class="fas fa-file-excel"></i>{{ i18ntext.lngText('imfile') }}
          </div>
          <div
            v-if="excel == 'Export'"
            @click="exportdataExcel()"
            data-bs-dismiss="modal"
            aria-label="Close"
            class="btn-purchase btn-light text-capitalize"
          >
            <input autocomplete="off" type="button" /><i class="fas fa-save"></i> {{ i18ntext.lngText('exportdata') }}
          </div>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo/>
</template>
<script>
import UserInfo from "../UserInfo.vue";
import Header from "../Header.vue";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Logo from "../logo.vue";
import axios from "axios";
import print from "vue3-print-nb";
import Auth from "../../auth/Auth";
import Footer from "../footer.vue";
import readXlsxFile from "read-excel-file";
import * as XLSX from "xlsx-js-style";
import i18n from "../../i18n/i18n";
export default {
  components: { pagination, Header, Footer, Logo,UserInfo },
  directives: {
    print,
  },
  data() {
    return {
        i18ntext: i18n,

      payExcels: [{}],
      exefile: "",
      checkexcel: [],
      excel: "Import",
      errors: "",
      issave: "",
      bt1: "",
      bt2: "",
      company: [],
      dateformart: " ",
      items: [],
      links: [],
      products: [],
      perPage: "",
      checktext: false,
      currentPage: 0,
      last_page: 1,
      btnback: false,
      btncheckEdit: "Save",
      btnSearch: "Search",
      form: {
        id: "",
        paymentmethod: "",
        description: "",
        inactived: "",
        created_by: "",
        updated_by: "",
        statue: "",
      },
      paymentmethod: "",
      printData: [],
      count_expire:0,
      stockcount:0,
    };
  },
  mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission('PAYMENT_ALL')){
            this.$router.push('/dashboard');
        }
    }
    this.getBrands();
    this.getcompany();
    this.getstockalert()
    this.getExpireAlert()
  },
  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    btnSaveExcel() {
      var b = 0;
      this.payExcels.forEach((el) => {
        if (b != 0) {
          axios.post("api/v1/payment/create", el).then((data) => {
            this.getBrands();
          });
        }
        b++;
      });
    },
    excelPayment(event) {
      this.exefile = "";
      const xlsxfile = event.target.files ? event.target.files[0] : null;
      readXlsxFile(xlsxfile).then((rows) => {
        var x = 0;
        rows.forEach((element) => {
          if (x >= 0) {
            if (x == 0) {
              this.checkexcel = element;
            } else {
              if (
                this.checkexcel[0] == "paymentmethod" &&
                this.checkexcel[1] == "description"
              ) {
                this.payExcels.push({
                  paymentmethod: element[0],
                  description: element[1],
                });
              } else {
                this.exefile = " Fail Data";
              }
            }
          }
          x++;
        });
      });
      this.exefile = "";
    },
    getBrands(page = 1) {
      axios.post("/api/v1/payment/index?page=" + page,this.form).then((data) => {
        this.items = data.data.currecy;
        this.printData = data.data.print
      });
    },
    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    save() {
      if (this.btncheckEdit == "Save") {
        this.form.created_by = Auth.user.user_code;
        axios
          .post("/api/v1/payment/create", this.form)
          .then((res) => {
            this.form = res.data;
            this.getBrands();
            this.form = {};
          })
          .catch((error) => {
            this.errors = error.response.data.errors;
            setTimeout(() => (this.errors = false), 2000);
          });
      } else {
        this.form.updated_by = Auth.user.user_code;
        axios.post("/api/v1/payment/update/" + this.form.id, this.form).then((res) => {
          this.btnback = false;
          this.getBrands();
          this.btnSearch = "Search";
          this.btncheckEdit = "Save";
          this.clear();
        });
      }
    },
    edit(test) {
      this.form = JSON.parse(JSON.stringify(test));
    },
    clear() {
      this.form = [];
    },
    dalete() {
      this.form.inactived = "Yes";
      this.form.updated_by = Auth.user.user_code;

      axios.post("/api/v1/payment/update/" + this.form.id, this.form).then((res) => {
        this.form = {};
        this.getBrands();
        this.btncheckEdit = "Save";
        this.btnback = false;
        this.btnSearch = "Search";
      });

    },
    checkActionForm(checkform, bt1, bt2, brandId) {
      this.checktext = false;
      this.form = [];
      this.btncheckEdit = "Update";
      this.btnback = true;
      this.btnSearch = "Delete";
      if (checkform == "save") {
        this.bt1 = bt1;
        this.bt2 = bt2;
        this.issave = "save";
      } else {
        this.bt1 = bt1;
        this.bt2 = bt2;
        this.edit(brandId);
        this.issave = brandId;
        this.checktext = true;
      }
    },
    btnBack() {
      this.form = {};
      this.btncheckEdit = "Save";
      this.btnback = false;
      this.btnSearch = "Search";
      this.isDisabled = true;
    },
    print() {
      var printContents = document.getElementById("purchaseorder").innerHTML;
      var mywindow;
      mywindow = window.open("", "mydiv", "height=800,width=1200,scrollbars=yes", "");
      mywindow.document.write("<html><head><title>my div</title>");
      mywindow.document.write('<link rel="stylesheet" href="css/style.css">');
      mywindow.document.write('<link rel="stylesheet" href="css/app.css">');
      mywindow.document.write('<link rel="stylesheet" href="css/pstyle.css">');
      mywindow.document.write("</head><body>");
      mywindow.document.write(printContents);
      mywindow.document.write("</body> </html>");
      setTimeout(() => {
        mywindow.document.close();
        mywindow.focus();
        mywindow.print();
        setTimeout(function () {
          window.close();
        }, 1);
        cb();
      }, 1000);
    },
    importSheet() {
      this.excel = "Import";
      this.payExcels = [{}];
    },

    exportSheet() {
      this.excel = "Export";
      this.payExcels = [{}];
      axios.get("api/v1/payment/allPay").then((res) => {
        res.data.forEach((x) => {
          this.payExcels.push({
            paymentmethod: x.paymentmethod,
            description: x.description,
          });
        });
      });
    },
    exportdataExcel() {
      var invoices = this.payExcels.reduce((y, x) => {
        y.push({
          PaymentMethod: x.paymentmethod,
          Description: x.description,
        });
        return y;
      }, []);
      var z = invoices.slice(1);
      var invoicesWS = XLSX.utils.json_to_sheet(z, { origin: "A10", raw: true });
      var wb = XLSX.utils.book_new();
      XLSX.utils.sheet_add_aoa(
        invoicesWS,
        [
          ["PRODUCTS"],
          ["COMPANY NAME"],
          ["NAME : Cambo Pharma"],
          ["PHONE NUMBER : (+855)12 381215"],
          ["EMAIL ADDRESS : Cambo.pharma@gmail.com"],
          ["ADDRESS : ត្រើយកោះ ស្រុកទឹកឈូ ខេត្តកំពត"],
          ["DATE"],
          [new Date()],
        ],
        { origin: "A1", display: false, dateNF: "DD-MM-YYYY", cellDates: false }
      );

      var wscols = [{ width: 30 }, { width: 20 }];
      invoicesWS["!cols"] = wscols;

      var merge = [
        { s: { c: 0, r: 0 }, e: { c: 11, r: 0 } },
        { s: { c: 0, r: 1 }, e: { c: 11, r: 1 } },
        { s: { c: 0, r: 2 }, e: { c: 11, r: 2 } },
        { s: { c: 0, r: 3 }, e: { c: 11, r: 3 } },
        { s: { c: 0, r: 4 }, e: { c: 11, r: 4 } },
        { s: { c: 0, r: 5 }, e: { c: 11, r: 5 } },
        { s: { c: 0, r: 6 }, e: { c: 11, r: 6 } },
        { s: { c: 0, r: 7 }, e: { c: 11, r: 7 } },
        { s: { c: 0, r: 8 }, e: { c: 11, r: 8 } },
      ];
      invoicesWS["!merges"] = merge;
      XLSX.utils.book_append_sheet(wb, invoicesWS, "Payment");
      var x = wb.Sheets.Payment;
      for (var row in x) {
        const style = x[row];
        try {
          style.s = {
            alignment: { horizontal: "right", vertical: "right", wrapText: true },
            border: {
              top: { style: "thin" },
              right: { style: "thin" },
              bottom: { style: "thin" },
              left: { style: "thin" },
            },
          };
        } catch (error) {}
      }
      x["A1"].s = {
        font: {
          name: "Segoe UI Variable Display Semib",
          sz: 16,
          bold: true,
          color: { rgb: "326c7a" },
        },
        alignment: { horizontal: "center", vertical: "center" },
      };
      x["A2"].s = {
        font: { name: "Segoe UI Variable Display Semib", sz: 16, bold: true },
        fill: { fgColor: { rgb: "8DD5E8" } },
        alignment: { horizontal: "center", vertical: "center" },
      };
      x["A7"].s = {
        font: { sz: 12, bold: true },
        alignment: {
          name: "Bahnschrift SemiLight SemiConde",
          horizontal: "center",
          vertical: "center",
        },
        fill: { fgColor: { rgb: "8DD5E8" } },
      };
      const sheet = ["A3", "A4", "A5", "A6", "A8"];
      for (var sheets of sheet) {
        x[sheets].s = {
          font: { name: "Bahnschrift SemiLight SemiConde", sz: 12 },
          fill: { fgColor: { rgb: "ffffff" } },
          alignment: { horizontal: "center", vertical: "center" },
        };
      }
      const colName = ["A10", "B10"];
      for (var itm of colName) {
        x[itm].s = {
          font: { name: "Bahnschrift SemiLight SemiConde", sz: 12, bold: true },
          fill: { fgColor: { rgb: "8DD5E8" } },
          border: {
            top: { style: "thin" },
            right: { style: "thin" },
            bottom: { style: "thin" },
            left: { style: "thin" },
          },
        };
      }
      XLSX.writeFile(wb, "Payment.xlsx");
    },
  },
};
</script>
